void HTTP_init(void) {
  // Включаем работу с файловой системой
  FS_init();

  // SSDP дескриптор
  HTTP.on("/description.xml", HTTP_GET, []() {
    SSDP.schema(HTTP.client());
  });
  //Создание ответа
  HTTP.on("/ten", handle_ten); // обрашение к реле через web интерфейс
  HTTP.on("/klapan", handle_klapan); // обрашение к реле через web интерфейс
  HTTP.on("/bmp", handle_bmp); // управление датчиком давления
  HTTP.on("/xml", handleXML); // формирование xml страницы для передачи данных в web интерфейс
  // Добавляем функцию Update для перезаписи прошивки
  update();
  // Запускаем HTTP сервер
  HTTP.begin();
}

// Управление теном через GET запрос
void handle_bmp() {
  int state = HTTP.arg("state").toInt();
  Serial.println(state);
  bmpsensor = state;
}

void handleXML() {
  buildXML();
  HTTP.send(200, "text/xml", XML);
}
// создаем xml данные
void buildXML() {
  termo.requestTemperatures();
  XML = "<?xml version='1.0'?>";
  XML += "<Donnees>";
  XML += "<response>";
  XML += millis2time();
  XML += "</response>";

  
    XML += "<atm>";
    if (bmpsensor) {
    long Pressure = bmp.readPressure();
    XML += Pressure / 133.3;
    }
    else {
      XML +="-";
      }
    XML += "</atm>";
    XML += "<c>";
    if (bmpsensor) {
    XML += bmp.readTemperature();
    }
    else {
      XML +="-";
      }
    XML += "</c>";
  

  XML += "<flegma>";
  XML += termo.getTempCByIndex(0);
  XML += "</flegma>";
  XML += "<par>";
  XML += termo.getTempCByIndex(1);
  XML += "</par>";
  XML += "<hvost>";
  XML += termo.getTempCByIndex(2);
  XML += "</hvost>";
  XML += "<cub>";
  XML += termo.getTempCByIndex(3);
  XML += "</cub>";
  XML += "<termo>";
  XML += termo.getDeviceCount();
  XML += "</termo>";
  XML += "</Donnees>";
}
String millis2time() {
  String Time = "";
  unsigned long ss;
  byte mm, hh;
  ss = millis() / 1000;
  hh = ss / 3600;
  mm = (ss - hh * 3600) / 60;
  ss = (ss - hh * 3600) - mm * 60;
  if (hh < 10)Time += "0";
  Time += (String)hh + ":";
  if (mm < 10)Time += "0";
  Time += (String)mm + ":";
  if (ss < 10)Time += "0";
  Time += (String)ss;
  return Time;
}



